# frozen_string_literal: true

module Stormbreaker
  class AxeViolation
    attr_accessor :called_by, :severity, :element, :violation, :complete_summary

    def initialize(called_by: Set.new, severity: '', element: '', violation: '', complete_summary: '')
      self.called_by = Set.new.merge(called_by)
      self.severity = severity
      self.violation = violation
      self.element = element
      self.complete_summary = complete_summary
    end

    def ==(other)
      called_by == other.called_by &&
        severity == other.severity &&
        violation == other.violation &&
        element == other.element &&
        complete_summary == other.complete_summary
    end
  end
end
